com.amazonaws.services.codedeploy.model

## Class GetApplicationRevisionResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.GetApplicationRevisionResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetApplicationRevisionResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a get application revision operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetApplicationRevisionResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetApplicationRevisionResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The name of the application that corresponds to the revision.
`RevisionLocation` `getRevision()` Additional information about the revision, including type and location.
`GenericRevisionInfo` `getRevisionInfo()` General information about the revision.
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The name of the application that corresponds to the revision.
`void` `setRevision(RevisionLocation revision)` Additional information about the revision, including type and location.
`void` `setRevisionInfo(GenericRevisionInfo revisionInfo)` General information about the revision.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetApplicationRevisionResult` `withApplicationName(String applicationName)` The name of the application that corresponds to the revision.
`GetApplicationRevisionResult` `withRevision(RevisionLocation revision)` Additional information about the revision, including type and location.
`GetApplicationRevisionResult` `withRevisionInfo(GenericRevisionInfo revisionInfo)` General information about the revision.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetApplicationRevisionResult

    public GetApplicationRevisionResult()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The name of the application that corresponds to the revision.

Parameters:
  `applicationName` - The name of the application that corresponds to the revision.

#### getApplicationName

    public String getApplicationName()

The name of the application that corresponds to the revision.

Returns:
  The name of the application that corresponds to the revision.

#### withApplicationName

    public GetApplicationRevisionResult withApplicationName(String applicationName)

The name of the application that corresponds to the revision.

Parameters:
  `applicationName` - The name of the application that corresponds to the revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRevision

    public void setRevision(RevisionLocation revision)

Additional information about the revision, including type and location.

Parameters:
  `revision` - Additional information about the revision, including type and location.

#### getRevision

    public RevisionLocation getRevision()

Additional information about the revision, including type and location.

Returns:
  Additional information about the revision, including type and location.

#### withRevision

    public GetApplicationRevisionResult withRevision(RevisionLocation revision)

Additional information about the revision, including type and location.

Parameters:
  `revision` - Additional information about the revision, including type and location.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRevisionInfo

    public void setRevisionInfo(GenericRevisionInfo revisionInfo)

General information about the revision.

Parameters:
  `revisionInfo` - General information about the revision.

#### getRevisionInfo

    public GenericRevisionInfo getRevisionInfo()

General information about the revision.

Returns:
  General information about the revision.

#### withRevisionInfo

    public GetApplicationRevisionResult withRevisionInfo(GenericRevisionInfo revisionInfo)

General information about the revision.

Parameters:
  `revisionInfo` - General information about the revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetApplicationRevisionResult clone()

Overrides:
  `clone` in class `Object`